---
title: GTIN/ISBN/UPC to Target TCIN Lookups
slug: redcircleapi/target-product-data-api/reference/gtin-upc-to-target-tcin
docTags: 
createdAt: 2024-07-27T14:22:43.825Z
---

# GTIN/ISBN/UPC to Target TCIN Lookups

RedCircle API allows you to retrieve Target Product Data by GTIN, ISBN or UPC code when making a  `type=product`  or  `type=reviews`  request. There is no additional charge for this service.

To lookup Target Product Data by GTIN, ISBN or UPC code you simply use the  `gtin`  parameter instead of the  `tcin`  when making a  `type=product`  request.

When the  `gtin`  parameter is supplied RedCircle will attempt to look up the GTIN/ISBN/UPC on Target before then retrieving product details for the resultant  `tcin` .When using the gtin parameter found from the results of a type = product,&#x20;

`type=product&gtin=071641174603`

The full Target Product Data API request would be:

:::CodeblockTabs
HTTP

```none
https://api.redcircleapi.com/request?api_key=demo&type=product&gtin=071641174603
```
:::

:::hint{type="info"}
**Note that RedCircle will cache the GTIN-to-TCIN mapping for 2 months.**  To force a new GTIN lookup (for example, if you suspect the existing mapping is stale or the product has been added to the site), use the  `skip_gtin_cache=true`  request parameter (note that using  `skip_gtin_cache=true`  decrements 2 credits from your balance, instead of 1).&#x20;
:::

# GTIN and Not Found

:::hint{type="warning"}
In some instances, the GTIN found on a target product page will return "success":"false". This occurs when a product is discontinued or not in stock.&#x20;
:::

![](https://api.archbee.com/api/optimize/lBACYsXnyAR7uhPRuYDjt-HBHLLPTz7MfDlquCTeCT_-20250207-204644.png)

![](https://api.archbee.com/api/optimize/lBACYsXnyAR7uhPRuYDjt-QlivuI1SbeWqqqgJ_29bI-20250207-204657.png)

**Next Steps**
     [Getting Started](https://docs.trajectdata.com/redcircleapi/target-product-data-api/overview)
     [Request Parameters](https://docs.trajectdata.com/redcircleapi/target-product-data-api/parameters/common)
